| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Namespaces | Classes | Typedefs | Enumerations | Functions
Tuples Namespace Reference

General namespace for Tuple properties. More...

## Namespaces
| detail
| Local

## Classes
class | ItemStore
| Simple class, which represents the local storage of N-tuple items of the given type. More...
class | Tuple
| A simple wrapper class over standard Gaudi NTuple::Tuple facility. More...
class | TupleColumn
| Helper class which allows to extend the functionality of Tuple with possibility to use your own representation of complex objects. More...
class | TupleItem
class | TupleObj
| A simple wrapper class over standard Gaudi NTuple::Tuple facility. More...

## Typedefs
typedef GaudiAlg::ID | TupleID
| the actual type for N-Tuple identifier (HBOOK-style) More...

## Enumerations
enum | Type { NTUPLE, EVTCOL }
| the list of available types for ntuples More...
enum | ErrorCodes { InvalidTuple = 100, InvalidColumn, InvalidOperation, InvalidObject, InvalidItem, TruncateValue = 200 }
| Tuple error codes. More...

## Functions
template<class ITEM >
TupleColumn< ITEM > | make_column (std::string name, const ITEM &item)
| helper function to create 'on-the-fly' the helper object Tuples::TupleColumn More...
template<class ITEM >
TupleColumn< const ITEM * > | make_column (std::string name, const ITEM *item)
| helper function to create 'on-the-fly' the helper object Tuples::TupleColumn More...
template<class ITEM >
TupleColumn< ITEM * > | make_column (std::string name, ITEM *item)
| helper function to create 'on-the-fly' the helper object Tuples::TupleColumn More...
template<class ITEM >
TupleColumn< ITEM > | Column (std::string name, const ITEM &item)
template<class ITEM >
TupleColumn< const ITEM * > | Column (std::string name, const ITEM *item)
template<class ITEM >
TupleColumn< ITEM * > | Column (std::string name, ITEM *item)
template<class OWNER >
TupleObj * | createTupleObj (const OWNER *owner, const std::string &name, NTuple::Tuple *tuple, const CLID &clid=CLID_ColumnWiseTuple, const Tuples::Type type=Tuples::NTUPLE)
| Templated helper functions allow to avoid heavy semantics of dealing with explicit type of class TupleObjImp. More...

## Detailed Description

General namespace for Tuple properties.

Tuples.h GaudiAlg/Tuples.h helper namespace to collect useful definitions, types, constants and functions, related to manipulations with N-Tuples and event tag collections.

helper namespace to collect useful definitions, types, constants and functions, related to manipulations with N-Tuples

Author
  Vanya BELYAEV Ivan..nosp@m.Bely.nosp@m.aev@i.nosp@m.tep..nosp@m.ru

Date
  2004-01-23

Author
  Vanya BELYAEV Ivan..nosp@m.Bely.nosp@m.aev@l.nosp@m.app..nosp@m.in2p3.nosp@m..fr

Date
  2005-08-06

## Typedef Documentation

typedef GaudiAlg::ID Tuples::TupleID

the actual type for N-Tuple identifier (HBOOK-style)

Definition at line 23 of file TupleID.h.

## Enumeration Type Documentation

enum Tuples::ErrorCodes

Tuple error codes.

Author
  Vanya BELYAEV Ivan..nosp@m.Bely.nosp@m.aev@i.nosp@m.tep..nosp@m.ru

Date
  2004-01-23

Enumerator
InvalidTuple |
InvalidColumn |
InvalidOperation |
InvalidObject |
InvalidItem |
TruncateValue |

Definition at line 92 of file TupleObj.h.

93 {
94 InvalidTuple = 100 ,
95 InvalidColumn ,
96 InvalidOperation ,
97 InvalidObject ,
98 InvalidItem ,
99 TruncateValue = 200
100 };
Tuples::InvalidTuple
Definition: TupleObj.h:94
Tuples::InvalidItem
Definition: TupleObj.h:98
Tuples::TruncateValue
Definition: TupleObj.h:99
Tuples::InvalidOperation
Definition: TupleObj.h:96
Tuples::InvalidColumn
Definition: TupleObj.h:95
Tuples::InvalidObject
Definition: TupleObj.h:97

enum Tuples::Type

the list of available types for ntuples

Author
  Vanya BELYAEV Ivan..nosp@m.Bely.nosp@m.aev@i.nosp@m.tep..nosp@m.ru

Date
  2004-01-23

Enumerator
NTUPLE |
EVTCOL |

Definition at line 79 of file TupleObj.h.

80 {
81 NTUPLE , // Analysis nTuple
82 EVTCOL // Event Collection
83 };
Tuples::EVTCOL
Definition: TupleObj.h:82
Tuples::NTUPLE
Definition: TupleObj.h:81

## Function Documentation

template<class ITEM >

TupleColumn<ITEM> Tuples::Column | ( | std::string | name,
|  | const ITEM & | item
| ) |  |
| inline

Definition at line 319 of file Tuple.h.

320 { return make_column ( std::move(name) , item ) ; }
Tuples::make_column
TupleColumn< ITEM * > make_column(std::string name, ITEM *item)
helper function to create 'on-the-fly' the helper object Tuples::TupleColumn
Definition: Tuple.h:314
std::move
T move(T...args)
ana.item
tuple item
print s1,s2
Definition: ana.py:146
template<class ITEM >

TupleColumn<const ITEM*> Tuples::Column | ( | std::string | name,
|  | const ITEM * | item
| ) |  |
| inline

Definition at line 324 of file Tuple.h.

325 { return make_column ( std::move(name) , item ) ; }
Tuples::make_column
TupleColumn< ITEM * > make_column(std::string name, ITEM *item)
helper function to create 'on-the-fly' the helper object Tuples::TupleColumn
Definition: Tuple.h:314
std::move
T move(T...args)
ana.item
tuple item
print s1,s2
Definition: ana.py:146
template<class ITEM >

TupleColumn<ITEM*> Tuples::Column | ( | std::string | name,
|  | ITEM * | item
| ) |  |
| inline

Definition at line 329 of file Tuple.h.

330 { return make_column ( std::move(name) , item ) ; }
Tuples::make_column
TupleColumn< ITEM * > make_column(std::string name, ITEM *item)
helper function to create 'on-the-fly' the helper object Tuples::TupleColumn
Definition: Tuple.h:314
std::move
T move(T...args)
ana.item
tuple item
print s1,s2
Definition: ana.py:146
template<class OWNER >

TupleObj* Tuples::createTupleObj | ( | const OWNER * | owner,
|  | const std::string & | name,
|  | NTuple::Tuple * | tuple,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`,
|  | const Tuples::Type | type = `Tuples::NTUPLE`
| ) |  |
| inline

Templated helper functions allow to avoid heavy semantics of dealing with explicit type of class TupleObjImp.

const GaudiAlgorithm* algo = ... ;
NTuple::Tuple* tuple = ... ;
TupleObj* obj = createTupleObj( algo , " my tuple 1 " , ntuple ) ;
const GaudiTool* tool = ... ;
NTuple::Tuple* tuple2 = ... ;
TupleObj* obj2 = createTupleObj( tool , " my tuple 2 " , ntuple2 ) ;

Author
  Vanya BELYAEV Ivan..nosp@m.Bely.nosp@m.aev@i.nosp@m.tep..nosp@m.ru

Date
  2004-1-24

Definition at line 242 of file TupleDetail.h.

247 {
248 return detail::createTupleObj
249 ( detail::make_handler ( owner , &OWNER::Error ) ,
250 detail::make_handler ( owner , &OWNER::Warning ) ,
251 name , tuple , clid , type ) ;
252 }
Tuples::createTupleObj
TupleObj * createTupleObj(const OWNER *owner, const std::string &name, NTuple::Tuple *tuple, const CLID &clid=CLID_ColumnWiseTuple, const Tuples::Type type=Tuples::NTUPLE)
Templated helper functions allow to avoid heavy semantics of dealing with explicit type of class Tupl...
Definition: TupleDetail.h:242
gaudirun.type
string type
Definition: gaudirun.py:151
Tuples::detail::make_handler
ErrorHandler< OBJECT, FUNCTION > make_handler(const OBJECT *object, FUNCTION function)
Templated helper functions allow to avoid heavy semantics of dealing with explicit type of class Erro...
Definition: TupleDetail.h:216
template<class ITEM >

TupleColumn<ITEM> Tuples::make_column | ( | std::string | name,
|  | const ITEM & | item
| ) |  |
| inline

helper function to create 'on-the-fly' the helper object Tuples::TupleColumn

Definition at line 298 of file Tuple.h.

299 { return TupleColumn<ITEM> ( std::move(name) , item ) ; }
std::move
T move(T...args)
ana.item
tuple item
print s1,s2
Definition: ana.py:146
template<class ITEM >

TupleColumn<const ITEM*> Tuples::make_column | ( | std::string | name,
|  | const ITEM * | item
| ) |  |
| inline

helper function to create 'on-the-fly' the helper object Tuples::TupleColumn

Definition at line 306 of file Tuple.h.

307 { return TupleColumn<const ITEM*>( std::move(name) , item ) ; }
std::move
T move(T...args)
ana.item
tuple item
print s1,s2
Definition: ana.py:146
template<class ITEM >

TupleColumn<ITEM*> Tuples::make_column | ( | std::string | name,
|  | ITEM * | item
| ) |  |
| inline

helper function to create 'on-the-fly' the helper object Tuples::TupleColumn

Definition at line 314 of file Tuple.h.

315 { return TupleColumn<ITEM*> ( std::move(name) , item ) ; }
std::move
T move(T...args)
ana.item
tuple item
print s1,s2
Definition: ana.py:146